/* #ident "$Id: scsierr.h,v 1.3 1992/01/12 15:24:44 chris Exp $" */

/*
 * $Log: scsierr.h,v $
 * Revision 1.3  1992/01/12  15:24:44  chris
 * Add the ES_EndOfMediuom error macro
 *
 * Revision 1.2  1991/05/03  10:34:59  chris
 * Add errorcodes for streamer support used by ada.c
 *
 * Revision 1.1  1991/03/21  11:11:16  chris
 * Initial revision
 *
 */

/*
 * This headerfile defines all the scsi/ada error codes
 */

static char *scsi_err_id = "$Id: scsierr.h,v 1.3 1992/01/12 15:24:44 chris Exp $";

/* Error codes returned by the scsi functions */

#define ES_NoErr 0           /* No Error */
#define ES_NoAspi -1         /* No Aspi Manager Installed */
#define ES_Busy -2           /* Aspi Module is busy (this should never occur */
#define ES_AspiErr -3        /* Undefined Aspi error */
#define ES_NoMem -4          /* Can't allocate memory */
#define ES_NoDevice -5       /* The device is not installed */
#define ES_AspiInval -6      /* Invalid ASPI request */
#define ES_NoAdapter -7      /* Invalid Host Adapter Number */
#define ES_Abort -8          /* ASPI request aborted by Host */
#define ES_SelTimeout -9     /* Selection Timeout */
#define ES_DataOverrun -10   /* Data over-run/under-run */
#define ES_BusFree -11       /* Unexpected Bus Free */
#define ES_BusFail -12       /* Target bus phase sequence failure */
#define ES_TargetBusy -13    /* The specified Target/LUN is busy */
#define ES_Reservation -14   /* Reservation conflict */
#define ES_NotReady -15      /* lun cannot be accessed */
#define ES_Medium -16        /* Medium Error */
#define ES_Hardware -17      /* Non recoverable hardware error */
#define ES_IllegalReq -18    /* Illegal Request */
#define ES_UnitAttention -19 /* Unit Attention */
#define ES_DataProtect -20   /* The Block is protected */
#define ES_BlankCheck -21    /* Encounterd non blank data */
#define ES_TargetAbort -22   /* The Target Aborted the command */
#define ES_VolOverflow -23   /* Volume overflow */
#define ES_Miscompare -24    /* Source and data did nor match */
#define ES_IOErr -25         /* An IO Error of unknown type */

/* Additional errorcodes used in ada.c */
#define ES_LockLMem -26      /* Can not lock local memory */
#define ES_LockGMem -27      /* Can not lock global memory */
#define ES_Fatal    -28      /* Fatal Error - unemploy the programmer :-) */
#define ES_NoChannel -29     /* The logical channel is not initialized */
#define ES_NotActive -30     /* The logical channel is not active */
#define ES_ChannelOverflow -31 /* Logical Channel overflow */
#define ES_StreamerInUse -32 /* streamer is already configured for a channel */
#define ES_BlockLimit -33    /* Illegal blocksize for a streamer */
#define ES_Offset -34        /* Illegal offset allowed for this operation */
#define ES_Position -35      /* Illegal position for this operarion */
#define ES_BlockLen -36      /* Illegal block length for this operation */

/*
 * later added errorcodes for both modules ada.c & aspi.c
 */

#define ES_EndOfMedium -37   /* End of Medium detected, not really an error */
